- Aldebaran documentation |
- C++ Libraries |
- index

libqi-api 2.8.7.4

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | Public Attributes | List of all members
qi::MetaMethodBuilder Class Reference

`#include <metamethod.hpp>`

## Public Member Functions
| MetaMethodBuilder ()
| MetaMethodBuilder (const Signature &sigreturn, const std::string &name, const Signature &signature, const std::string &doc="")
| MetaMethodBuilder (const MetaMethodBuilder &other)
| ~MetaMethodBuilder ()
MetaMethodBuilder & | operator= (const MetaMethodBuilder &other)
std::string | name () const
void | setUid (unsigned int uid)
void | setSignature (const AnyFunction &f)
void | setReturnSignature (const Signature &sig)
void | setName (const std::string &name)
void | setParametersSignature (const qi::Signature &sig)
void | setReturnDescription (const std::string &doc)
void | appendParameter (const std::string &name, const std::string &documentation)
void | setDescription (const std::string &documentation)
qi::MetaMethod | metaMethod ()

## Public Attributes
MetaMethodBuilderPrivate * | _p

## Detailed Description

Definition at line 69 of file metamethod.hpp.

## Constructor & Destructor Documentation

qi::MetaMethodBuilder::MetaMethodBuilder | ( |  | ) |

qi::MetaMethodBuilder::MetaMethodBuilder | ( | const Signature & | sigreturn,
|  | const std::string & | name,
|  | const Signature & | signature,
|  | const std::string & | doc = `""`
| ) |  |

qi::MetaMethodBuilder::MetaMethodBuilder | ( | const MetaMethodBuilder & | other | ) |

qi::MetaMethodBuilder::~MetaMethodBuilder | ( |  | ) |

## Member Function Documentation

void qi::MetaMethodBuilder::appendParameter | ( | const std::string & | name,
|  | const std::string & | documentation
| ) |  |

qi::MetaMethod qi::MetaMethodBuilder::metaMethod | ( |  | ) |

std::string qi::MetaMethodBuilder::name | ( |  | ) | const

MetaMethodBuilder& qi::MetaMethodBuilder::operator= | ( | const MetaMethodBuilder & | other | ) |

void qi::MetaMethodBuilder::setDescription | ( | const std::string & | documentation | ) |

void qi::MetaMethodBuilder::setName | ( | const std::string & | name | ) |

void qi::MetaMethodBuilder::setParametersSignature | ( | const qi::Signature & | sig | ) |

void qi::MetaMethodBuilder::setReturnDescription | ( | const std::string & | doc | ) |

void qi::MetaMethodBuilder::setReturnSignature | ( | const Signature & | sig | ) |

void qi::MetaMethodBuilder::setSignature | ( | const AnyFunction & | f | ) |

void qi::MetaMethodBuilder::setUid | ( | unsigned int | uid | ) |

## Member Data Documentation

MetaMethodBuilderPrivate* qi::MetaMethodBuilder::_p

Definition at line 91 of file metamethod.hpp.

The documentation for this class was generated from the following file:

- /home/opennao/work/release-2.8/sdk/libqi/qi/type/metamethod.hpp